Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 11-04-2019 09:55:47

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Buster +Stretch + Jessie
Noyau : Linux 4.19.0-4-amd64+ Linux 4.9.0-8-amd64 + Linux
(G)UI : Gnome 3.30.02 - 3.22.2
Inscription : 07-01-2012

Installation de Gimp 2.10

Je voulais installer Gimp 2.10, mais je me trouve confronté au fait qu'il faut flatpack et qu'il ne serait pas disponible sous Stretch.
J'ai essayé de télécharger  le tarbz2.
J'ai extrait les fichiers et cherhcé le fichier install, si je comprends bien il va falloir que j'installe tout un tas de fichiers.
Mais il existe aussi un fichier install.in et un install.sh
Peut-être pourrais-je lancer le : install.sh ?

Pour la version manuelle  il est même écrit

GIMP 2.10 replaces earlier GIMP 2.x versions. It is advised that you
uninstall them before installing GIMP 2.10. If you want to keep your
older GIMP 2.x installation in parallel to GIMP 2.10, you have to
choose a separate prefix which is not in your default library search
path.


Oui, mais j'aimerais bien conserver ma configuration actuelle.

Unless you are experienced with building software from source, *
  * you should not attempt to build all these libraries yourself!  *
  * We suggest that you check if your distributor has development  *
  * packages of them and use these instead.


Oui mais bon, je n'ai pas trouvé de version gimp2.10 prête à être installée, donc il va bine falloir que je m'y mette.

Le premier truc à faire et d'installer pkg-config >=2.0, sauf que je rencontre déjà mon premier problème, il n'y a pas de pkg-config 2.0, celui qui est installé sur ma machine est le
0.29-4+b1 et il ne semble pas exister deversion 2.0.

Après il y a 19 points comme cela à suivre et vérifier.
Quelqu'un peut-il m'aider ?
Guppy

Dernière modification par Guppy88 (11-04-2019 10:01:40)

Hors ligne

#2 11-04-2019 10:56:40

Nsyo
Membre
Distrib. : Stable + backports
Noyau : actuel
Inscription : 02-08-2018

Re : Installation de Gimp 2.10

Salut !

Ha bon, pas de flatpak sous Stretch ? tongue
https://packages.debian.org/search?suit … ds=flatpak

Edit : La version de Stretch est pas mal ancienne et il y a eu pas mal de changement au niveau de la syntaxe des commandes flatpak. Pourquoi pas installer la version des backports

Dernière modification par Nsyo (11-04-2019 11:07:42)

Hors ligne

#3 11-04-2019 11:17:22

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Buster +Stretch + Jessie
Noyau : Linux 4.19.0-4-amd64+ Linux 4.9.0-8-amd64 + Linux
(G)UI : Gnome 3.30.02 - 3.22.2
Inscription : 07-01-2012

Re : Installation de Gimp 2.10

Merci.
Je me suis mal exprimé, j'avais installé flatpack avec apt-get et la commande avait bien répondu, flatpack est censé être installé, sur ma machine.
Mais la réponse à 'linstallation de gimp  dit "désolé ça n'a pas marché le logiciel n'est pas pris en charge."

C'est surement moi qui ne sait pas comment faire.
Guppy

Dernière modification par Guppy88 (11-04-2019 11:18:14)

Hors ligne

#4 11-04-2019 11:49:12

Nsyo
Membre
Distrib. : Stable + backports
Noyau : actuel
Inscription : 02-08-2018

Re : Installation de Gimp 2.10

Je me souviens pas bien des commandes flatpaks mais peut-être que ça peut d'aider : https://www.youtube.com/channel/UCDKPGD … l--D_DRTUQ wink
En tout cas, je m'étais pas mal basée sur cette vidéo.

Hors ligne

#5 11-04-2019 20:22:01

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Installation de Gimp 2.10

Bonsoir

Sinon j'ai vu qu'il y avait Gimp 2.10.10 avec snap

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#6 13-04-2019 20:22:34

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Buster +Stretch + Jessie
Noyau : Linux 4.19.0-4-amd64+ Linux 4.9.0-8-amd64 + Linux
(G)UI : Gnome 3.30.02 - 3.22.2
Inscription : 07-01-2012

Re : Installation de Gimp 2.10

Je n'ai pas réussi à installer cette dernière version de GIMP. Ni avec Snap, ni avec flatpack
Quelqu'un voudrait il m'aider a tenter de le compller cette version, de toute façon il va bine falloir que je m'y mettes un jour si je ne veux pas attendrre que Débain fasse tout le boulot pour moi.
Guppy

Finalement je viens de tenter une dernière fois, et je ne sais pas pourquoi, mais cela n'a pas rpis qu'une petite seconde pour se mettre en place et j'ai obtenu l'ouverute deu fichier GIMP 2.10 de 7 04 2019.
Premier constat c'est très moche, je n'aime pas du tout cette nouvelle modes des icones de commande en gris énorme et très plate et fianlement très peu explicites.

Dernière modification par Guppy88 (13-04-2019 20:33:27)

Hors ligne

#7 14-04-2019 07:13:57

Herve33
Membre
Lieu : Mérignac 33
Distrib. : Debian 10
(G)UI : Xfce
Inscription : 21-09-2016

Re : Installation de Gimp 2.10

Guppy88 a écrit :


Finalement je viens de tenter une dernière fois, et je ne sais pas pourquoi, mais cela n'a pas rpis qu'une petite seconde pour se mettre en place et j'ai obtenu l'ouverute deu fichier GIMP 2.10 de 7 04 2019.
Premier constat c'est très moche, je n'aime pas du tout cette nouvelle modes des icones de commande en gris énorme et très plate et fianlement très peu explicites.



Bonjour,
t'as réussi sur flatpack ? Snap ?


Acer Aspire 5733 - Debian 10 Xfce

Hors ligne

#8 14-04-2019 07:39:42

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Buster +Stretch + Jessie
Noyau : Linux 4.19.0-4-amd64+ Linux 4.9.0-8-amd64 + Linux
(G)UI : Gnome 3.30.02 - 3.22.2
Inscription : 07-01-2012

Re : Installation de Gimp 2.10

J'ai réussi avec flatpack,
Mais comme d'habitude, je n'ia pas noté tout ce que j'ai tenté et du coup
je ne sais pas vraiment pourquoi cela a fonctionné.
Toutefois,  parmi les choses que j'ai tentée , j'ai ajouté flathub.
Mais je ne sais pas si c'est grâce à cela que cela a fonctionné; ou pour une autre raison.
C'était peut-être nécessaire mais pas suffisant, parceque je n'ai pas réussi immédiatement après flathub.
Guppy

Je n'ai pas mis Résolu, parceque je ne sais pas pourquoi c'est résolu.
De plus je ne me souviens plus comment on fait pouir inscrire résolu dans le titre du premier message.

Hors ligne

#9 14-04-2019 08:35:41

smolski
admin quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : Installation de Gimp 2.10

Guppy88 a écrit :

je ne me souviens plus comment on fait pouir inscrire résolu dans le titre du premier message.


On ouvre en édition le premier post par Modifier en bas à droite. wink

Dernière modification par smolski (14-04-2019 08:40:06)


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#10 14-04-2019 09:11:08

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Installation de Gimp 2.10

Bonjour

Premier constat c'est très moche, je n'aime pas du tout cette nouvelle modes des icones de commande en gris énorme et très plate et fianlement très peu explicites.


un peu de mauvaise fois la je trouve,si tu pousses pas plus loin c'est que tu ne veux pas te servir de Gimp
parce que changer le thème d’icône dans les préférences c'est pas si dur ?
J'avoue le thème symbolic c'est moche, choisi color ou legacy
epaleTj2x8zY.PNG
rGoK7vQp3ZGp.PNG
https://daviesmediadesign.com/customize … interface/
gimp-pimping.html#gimp-prefs-icon-theme

Dernière modification par Croutons (14-04-2019 09:15:02)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#11 14-04-2019 14:16:41

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Buster +Stretch + Jessie
Noyau : Linux 4.19.0-4-amd64+ Linux 4.9.0-8-amd64 + Linux
(G)UI : Gnome 3.30.02 - 3.22.2
Inscription : 07-01-2012

Re : Installation de Gimp 2.10

@ Croutons
J'utilise Gimp depuis des années, donc je ne vais pas arrêter de m'en servir.
Et bien sûr que l'on peut les personnaliser - j'ai pris legacy et mis leur taille sur small -
Mais
"pourquoi elles sont si moches et si énormes de base" ?
Guppy

@smolsky
Aller dans le premier post , ça je m'en souvenais, mais il n'y aa a pas un système automatique pour marquer  [Résolu] ou c'est sur un autre forum ?

Guppy

Dernière modification par Guppy88 (14-04-2019 14:35:55)

Hors ligne

#12 14-04-2019 23:53:58

smolski
admin quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : Installation de Gimp 2.10

Guppy88 a écrit :

un système automatique pour marquer  [Résolu]


Ici, on le fait artisanalement, donc à la mimine, sans automatisme. smile


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#13 15-04-2019 07:37:39

robert2a
Membre
Lieu : France
Distrib. : debian 10
Noyau : 4.19
(G)UI : Gnome
Inscription : 15-11-2014

Re : Installation de Gimp 2.10

Bonjour
une solution c'est de migrer vers buster pour avoir une version récente


apt-cache policy gimp
 



gimp:
  Installé : 2.10.8-2
  Candidat : 2.10.8-2
 Table de version :
 *** 2.10.8-2 500
        500 https://deb.debian.org/debian buster/main amd64 Packages
        100 /var/lib/dpkg/status
 



je pense pas que cette version soit mit dans les backports de stretch ( beaucoup de paquets en dépendances )

=> https://packages.debian.org/fr/buster/gimp

Hors ligne

#14 15-04-2019 14:14:45

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Installation de Gimp 2.10

ou alors l'installer sous Windows out.gif

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#15 16-04-2019 14:49:38

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Buster +Stretch + Jessie
Noyau : Linux 4.19.0-4-amd64+ Linux 4.9.0-8-amd64 + Linux
(G)UI : Gnome 3.30.02 - 3.22.2
Inscription : 07-01-2012

Re : Installation de Gimp 2.10

Croutons a écrit

ou alors l'installer sous Windows


Ca va pas la tête ! De totue façon en insistant un peu j'ai fini par l'insatller, j'ai maintenant les deux versions 2.8 et la 2.10.10 toute fraîche du 07/04/2019 et avec les petites icônes Legacy en couleur
gimp2_10.png
il n'y a pas longtemps j'ai fait un test contre un ordinateur windwos.
Pour équilibrer les chances, windows 10 était allumé et ma machine éteinte.
Pourtant j'étais opérationnel sous gimp alors que Win10 étais toujours en train de l'ouvrir. C'est vrai que ce n'éest pas équitable de matcher contre windows 10 avec stretch qui travaille sur des disques SSD.
Il faut15 secondes pour ouvrir gnome, et après un peu plus d'uns seconde pour gimp 2.8, la même chose pour 2.10.

@ robert2a
Je constate que  même buster n'a pas la version la plus récente,mêm si je vais devoir éssayer buster, par exemple le metter à la place de jessie, que j'n'ai pas ouverte depuis longtemps.
Il va falloir que je m'y mette, mais il faut que je règle 2 questions d'ailleurs, je voudrais que buster utilise la swap et le home de stretch sur l'autre disque et bien sûr les fichiers du disque dur externe de 1 To.
Guppy

Hors ligne

Pied de page des forums